package com.engine.organization.service;

import com.engine.organization.entity.TreeData;
import com.engine.organization.entity.postion.po.PostPO;

import java.util.Collection;
import java.util.Map;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/13
 * @version: 1.0
 */
public interface PostService {

    /**
     * 新增职务分类
     * @param postPO
     * @return
     */
    int savePost(PostPO postPO);

    /**
     * 更新职务分类信息
     *
     * @param postPO
     * @return
     */
    int updatePost(PostPO postPO);

    /**
     * 根据ID批量删除
     *
     * @param ids
     */
    int deleteByIds(Collection<Long> ids);

    /**
     * 获取新增表单
     *
     * @param params
     * @return
     */
    Map<String, Object> getPostForm(Map<String, Object> params);


    /**
     * 获取左侧树
     * @return
     */
    TreeData getTreeData();


}
